
Name:          java-allocation-instrumenter
Version:       2.0
Release:       %mkrel 1
Summary:       A Java agent that rewrites bytecode to instrument allocation sites
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/java-allocation-instrumenter/
# svn export http://java-allocation-instrumenter.googlecode.com/svn/tags/java-allocation-instrumenter-2.0/
# tar czf java-allocation-instrumenter-2.0-src-svn.tar.gz java-allocation-instrumenter-2.0
Source0:       java-allocation-instrumenter-2.0-src-svn.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: sonatype-oss-parent

BuildRequires: guava09
BuildRequires: junit
BuildRequires: objectweb-asm

BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin

Requires:      guava09
Requires:      objectweb-asm

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
%{name}: A Java agent that rewrites bytecode to instrument allocation sites.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# maven-release-plugin 
sed -i "s|<version>2.1</version>|<version>2.0</version>|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf %{name}.jar allocation.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap com.google.code.java-allocation-instrumenter %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Nov 10 2011 gil <gil> 2.0-1.mga2
+ Revision: 166033
- imported package java-allocation-instrumenter

